Subject: Re: [patch V3 12/17] timers: Silently ignore timers with a NULL function

From: Thomas Gleixner <[email-masked]>
Date: Thu, 24 Nov 2022 09:18:46 +0100

On Thu, Nov 24 2022 at 08:37, Anna-Maria Behnsen wrote:

> On Wed, 23 Nov 2022, Thomas Gleixner wrote:
>
>> Tearing down timers which have circular dependencies to other
>> functionality, e.g. workqueues, where the timer can schedule work and work
>> can arm timers, is not trivial.
>> 
>> In those cases it is desired to shutdown the timer in a way which prevents
>> rearming of the timer. The mechanism to do so is to set timer->function to
>> NULL and use this as an indicator for the timer arming functions to ignore
>> the (re)arm request.
>> 
>> In preparation for that replace the warnings in the relevant code paths
>> with checks for timer->function == NULL. If the pointer is NULLL, then
>
> s/NULLL/NULL

Bah. I should have went to the bar instead of trying to fix this.